package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.object.MyOrderParam;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.List;

/**
 * 门户预定管理Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourismProjectTravelNotesToWebDto对象")
@Data
public class TourismProjectTravelNotesToWebDto {

    /**
     * 所属分类。
     */
    @Schema(description = "所属分类。")
    private String belongTab;

    /**
     * 地区id。
     */
    @Schema(description = "地区id。")
    private String areaId;

    /**
     * 国家id。
     */
    @Schema(description = "国家id。")
    private String countryId;

    /**
     * 是否为热点项目。
     */
    @Schema(description = "是否热点，0非热点，1热点。")
    private Integer isHotspot;

    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    private Integer pageSize;

    /**
     * 是否统计totalCount。
     */
    @Schema(description = "是否统计totalCount。")
    private Boolean count;

    /**
     * 排序。
     */
    @Schema(description = "排序。")
    private MyOrderParam orderParamList;

    /**
     * 菜单id。
     */
    private List<Long> directoryInfoIds;

    /**
     * banner_name LIKE搜索字符串。
     * NOTE: 可支持LIKE操作符的列表数据过滤。
     */
    @Schema(description = "LIKE模糊搜索字符串")
    private String searchString;

}
