package com.tourism.webadmin.app.website.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tourism.common.core.object.MyOrderParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 美食Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourismRestaurantFoodInfoToWebDto对象")
@Data
public class TourismRestaurantFoodInfoToWebDto {

    /**
     * 是否启用。
     */
    @Schema(description = "是否启用。")
    private Integer enable;

    /**
     * 美食名称。
     */
    @Schema(description = "美食名称。")
    private String name;

    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    private Integer pageSize;

    /**
     * 排序。
     */
    @Schema(description = "排序。")
    private MyOrderParam orderParamList;

    /**
     * 饭馆美食种类id。
     */
    @Schema(description = "饭馆美食种类id。")
    private Long foodTypeId;

}
