package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.object.MyOrderParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 餐馆类型Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourismRestaurantTypeToWebDto对象")
@Data
public class TourismRestaurantTypeToWebDto {

    /**
     * 是否启用。
     */
    @Schema(description = "是否启用。")
    private Integer enable;

    /**
     * 餐馆类型名称。
     */
    @Schema(description = "餐馆类型名称。")
    private String name;

    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    private Integer pageSize;

    /**
     * 是否统计totalCount。
     */
    @Schema(description = "是否统计totalCount。")
    private Boolean count;

    /**
     * 排序。
     */
    @Schema(description = "排序。")
    private MyOrderParam orderParamList;

}
