package com.tourism.webadmin.app.website.service;

import com.tourism.webadmin.app.website.dto.TourUserRegisterDto;
import com.tourism.webadmin.back.dto.TourBookInfoDto;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 注册校验方法
 * 
 * @author tourism
 */
public interface LoginToWebsiteService
{
    /**
     * 校验图形验证码
     *
     * @param code 验证码
     * @param uuid 唯一标识
     * @return 结果
     */
    public boolean validateCaptcha(String uuid, String code);
    /**
     * 校验短信验证码
     *
     * @param mobile 手机号
     * @param smsCode 短信验证码
     * @return 结果
     */
    public boolean validateSmsCode(String mobile,String smsCode);
    /**
     * 保存用户的预约信息
     *
     * @param tourBookInfoDto 门户预定管理Dto对象
     * @return 结果
     */
    public boolean saveBookInfo(HttpServletRequest request, TourBookInfoDto tourBookInfoDto);
    /**
     * 保存用户的注册信息
     *
     * @param tourUserRegisterDto 预约手机号
     * @return 结果
     */
    public boolean saveRegisterUserInfo(TourUserRegisterDto tourUserRegisterDto);

}
