package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 门户网站中游记的二维菜单地区对象。
 *
 * @author 吃饭睡觉
 * @date 2024-10-12
 */
@Schema(description = "TourTravelNotesDirectoryVo视图对象")
@Data
public class TourTravelNotesDirectoryVo {

    /**
     * 地区id。
     */
    @Schema(description = "地区id")
    private String areaId;

    /**
     * 地区名称。
     */
    @Schema(description = "地区名称")
    private String areaName;

    /**
     * 城市。
     */
    @Schema(description = "城市")
    private List<TourTravelNotesDirectoryCountryVo> children;

}
