package com.tourism.webadmin.app.wechat.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * POI搜索参数对象。
 *
 * @author limeng
 * @date 2024-09-30
 */
@Schema(description = "MapDto对象")
@Data
public class MapDto {

    /**
     * 限定城市。
     */
    @Schema(description = "限定城市")
    @NotNull(message = "限定城市不能为空！")
    private String city;

    /**
     * 搜索关键字。
     */
    @Schema(description = "搜索关键字")
    @NotNull(message = "搜索关键字不能为空！")
    private String keywords;
}
