package com.tourism.webadmin.app.wechat.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * 美食购物车修改Dto对象。
 *
 * @author chenchen
 * @date 2024-09-30
 */
@Schema(description = "TourRestaurantCartChangeDto对象")
@Data
public class TourRestaurantCartChangeDto {

    /**
     * 购物车的数量。
     */
    @Schema(description = "购物车的数量")
    @NotNull(message = "购物车的数量,必传")
    private Integer count;

    /**
     * 餐馆id。
     */
    @Schema(description = "餐馆id")
    @NotNull(message = "餐馆id,必传")
    private Long restaurantId;

    /**
     * 美食id。
     */
    @Schema(description = "美食id")
    @NotNull(message = "美食id,必传")
    private Long restaurantFoodId;


}
