package com.tourism.webadmin.app.wechat.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 外卖购物车VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "RestaurantCartVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class WechatRestaurantCart extends BaseVo {

    /**
     * 主键id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 用户id。
     */
    @TableId(value = "userId")
    private Long userId;

    /**
     * 餐馆id。
     */
    @TableId(value = "restaurant_id")
    private Long restaurantId;

    /**
     * 美食id。
     */
    @TableId(value = "restaurant_food_id")
    private Long restaurantFoodId;

    /**
     * 数量。
     */
    @TableId(value = "count")
    private Integer count;

    /**
     * 价格。
     */
    @TableId(value = "price")
    private BigDecimal price;

    /**
     * 菜品名称。
     */
    @TableId(value = "name")
    private String name;

    /**
     * 菜品图片。
     */
    @TableId(value = "url")
    private String url;

    /**
     * 菜品销量。
     */
    @TableId(value = "sales")
    private Integer sales;

    /**
     * 价格单位。
     */
    @TableField(value = "price_unit")
    private String priceUnit;

    /**
     * 打包费。
     */
    @TableField(value = "baling_charge")
    private BigDecimal balingCharge;

    /**
     * 是否禁用。
     */
    @TableField(value = "enable")
    private Integer enable;

}
