package com.tourism.webadmin.app.wechat.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * 外卖购物车TotalVO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "RestaurantCartVO视图对象")
@Data
public class WechatRestaurantCartTotalVo {

    /**
     * 总价格。
     */
    @Schema(description = "总价格")
    private BigDecimal totalPirce;

    /**
     * 购物车的餐品列表。
     */
    @Schema(description = "购物车的餐品列表")
    private List<WechatRestaurantCartVo> wechatRestaurantCartVoList;
}
