package com.tourism.webadmin.app.wechat.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 外卖购物车VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "RestaurantCartVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class WechatRestaurantCartVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 用户id。
     */
    @Schema(description = "用户id")
    private Long userId;

    /**
     * 餐馆id。
     */
    @Schema(description = "餐馆id")
    private Long restaurantId;

    /**
     * 美食id。
     */
    @Schema(description = "美食id")
    private Long restaurantFoodId;

    /**
     * 数量。
     */
    @Schema(description = "数量")
    private Integer count;

    /**
     * 价格。
     */
    @Schema(description = "价格")
    private BigDecimal price;

    /**
     * 菜品名称。
     */
    @Schema(description = "菜品名称")
    private String name;

    /**
     * 菜品图片。
     */
    @Schema(description = "菜品图片")
    private String url;

    /**
     * 菜品销量。
     */
    @Schema(description = "菜品销量")
    private Integer sales;

    /**
     * 价格单位。
     */
    @Schema(description = "价格单位")
    @TableField(value = "price_unit")
    private String priceUnit;

    /**
     * 打包费。
     */
    @Schema(description = "打包费。")
    @TableField(value = "baling_charge")
    private BigDecimal balingCharge;

}
