package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.CompanyContent;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 公司富文本数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface CompanyContentMapper extends BaseDaoMapper<CompanyContent> {

    /**
     * 批量插入对象列表。
     *
     * @param companyContentList 新增对象列表。
     */
    void insertList(List<CompanyContent> companyContentList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param companyContentFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<CompanyContent> getCompanyContentList(
            @Param("companyContentFilter") CompanyContent companyContentFilter, @Param("orderBy") String orderBy);
}
