package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.ContentCompany;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 公司富文本管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface ContentCompanyMapper extends BaseDaoMapper<ContentCompany> {

    /**
     * 批量插入对象列表。
     *
     * @param contentCompanyList 新增对象列表。
     */
    void insertList(List<ContentCompany> contentCompanyList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param contentCompanyFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<ContentCompany> getContentCompanyList(
            @Param("contentCompanyFilter") ContentCompany contentCompanyFilter, @Param("orderBy") String orderBy);
}
