package com.tourism.webadmin.back.dao;

import com.tourism.common.core.annotation.EnableDataPerm;
import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.DeliveryAddress;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 外卖地址管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@EnableDataPerm
public interface DeliveryAddressMapper extends BaseDaoMapper<DeliveryAddress> {

    /**
     * 批量插入对象列表。
     *
     * @param deliveryAddressList 新增对象列表。
     */
    void insertList(List<DeliveryAddress> deliveryAddressList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param deliveryAddressFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<DeliveryAddress> getDeliveryAddressList(
            @Param("deliveryAddressFilter") DeliveryAddress deliveryAddressFilter, @Param("orderBy") String orderBy);
}
