package com.tourism.webadmin.back.dao;

import com.tourism.common.core.annotation.EnableDataPerm;
import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.DeliveryOrderItems;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 外卖订单明细管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@EnableDataPerm
public interface DeliveryOrderItemsMapper extends BaseDaoMapper<DeliveryOrderItems> {

    /**
     * 批量插入对象列表。
     *
     * @param deliveryOrderItemsList 新增对象列表。
     */
    void insertList(List<DeliveryOrderItems> deliveryOrderItemsList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param deliveryOrderItemsFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<DeliveryOrderItems> getDeliveryOrderItemsList(
            @Param("deliveryOrderItemsFilter") DeliveryOrderItems deliveryOrderItemsFilter, @Param("orderBy") String orderBy);
}
