package com.tourism.webadmin.back.dao;

import com.tourism.common.core.annotation.EnableDataPerm;
import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.DeliveryOrder;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 外卖订单管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@EnableDataPerm
public interface DeliveryOrderMapper extends BaseDaoMapper<DeliveryOrder> {

    /**
     * 批量插入对象列表。
     *
     * @param deliveryOrderList 新增对象列表。
     */
    void insertList(List<DeliveryOrder> deliveryOrderList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param deliveryOrderFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<DeliveryOrder> getDeliveryOrderList(
            @Param("deliveryOrderFilter") DeliveryOrder deliveryOrderFilter, @Param("orderBy") String orderBy);
}
