package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.DirectoryInfo;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 门户菜单管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface DirectoryInfoMapper extends BaseDaoMapper<DirectoryInfo> {

    /**
     * 批量插入对象列表。
     *
     * @param directoryInfoList 新增对象列表。
     */
    void insertList(List<DirectoryInfo> directoryInfoList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param directoryInfoFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<DirectoryInfo> getDirectoryInfoList(
            @Param("directoryInfoFilter") DirectoryInfo directoryInfoFilter, @Param("orderBy") String orderBy);
}
