package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.Icon;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * icon信息数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface IconMapper extends BaseDaoMapper<Icon> {

    /**
     * 批量插入对象列表。
     *
     * @param iconList 新增对象列表。
     */
    void insertList(List<Icon> iconList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param iconFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<Icon> getIconList(
            @Param("iconFilter") Icon iconFilter, @Param("orderBy") String orderBy);
}
