package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.JobProject;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 劳务项目管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface JobProjectMapper extends BaseDaoMapper<JobProject> {

    /**
     * 批量插入对象列表。
     *
     * @param jobProjectList 新增对象列表。
     */
    void insertList(List<JobProject> jobProjectList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param jobProjectFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<JobProject> getJobProjectList(
            @Param("jobProjectFilter") JobProject jobProjectFilter, @Param("orderBy") String orderBy);
}
