package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.app.wechat.model.WechatRestaurantCart;
import com.tourism.webadmin.back.model.RestaurantCart;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 外卖购物车数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface RestaurantCartMapper extends BaseDaoMapper<RestaurantCart> {

    /**
     * 批量插入对象列表。
     *
     * @param restaurantCartList 新增对象列表。
     */
    void insertList(List<RestaurantCart> restaurantCartList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param restaurantCartFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<RestaurantCart> getRestaurantCartList(
            @Param("restaurantCartFilter") RestaurantCart restaurantCartFilter, @Param("orderBy") String orderBy);

    /**
     * 获取过滤后的对象列表。
     *
     * @param restaurantCartFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<WechatRestaurantCart> getRestaurantCartListAndFoodDetail(
            @Param("restaurantCartFilter") WechatRestaurantCart restaurantCartFilter, @Param("orderBy") String orderBy);
}
