package com.tourism.webadmin.back.dao;

import com.tourism.common.core.annotation.EnableDataPerm;
import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.RestaurantFoodInfo;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 餐馆美食信息数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface RestaurantFoodInfoMapper extends BaseDaoMapper<RestaurantFoodInfo> {

    /**
     * 批量插入对象列表。
     *
     * @param restaurantFoodInfoList 新增对象列表。
     */
    void insertList(List<RestaurantFoodInfo> restaurantFoodInfoList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param restaurantFoodInfoFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<RestaurantFoodInfo> getRestaurantFoodInfoList(
            @Param("restaurantFoodInfoFilter") RestaurantFoodInfo restaurantFoodInfoFilter, @Param("orderBy") String orderBy);
}
