package com.tourism.webadmin.back.dao;

import com.tourism.common.core.annotation.EnableDataPerm;
import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.RestaurantFoodType;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 餐馆美食类型数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface RestaurantFoodTypeMapper extends BaseDaoMapper<RestaurantFoodType> {

    /**
     * 批量插入对象列表。
     *
     * @param restaurantFoodTypeList 新增对象列表。
     */
    void insertList(List<RestaurantFoodType> restaurantFoodTypeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param restaurantFoodTypeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<RestaurantFoodType> getRestaurantFoodTypeList(
            @Param("restaurantFoodTypeFilter") RestaurantFoodType restaurantFoodTypeFilter, @Param("orderBy") String orderBy);
}
