package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.RestaurantType;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 餐馆类型数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface RestaurantTypeMapper extends BaseDaoMapper<RestaurantType> {

    /**
     * 批量插入对象列表。
     *
     * @param restaurantTypeList 新增对象列表。
     */
    void insertList(List<RestaurantType> restaurantTypeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param restaurantTypeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<RestaurantType> getRestaurantTypeList(
            @Param("restaurantTypeFilter") RestaurantType restaurantTypeFilter, @Param("orderBy") String orderBy);
}
