package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourBookInfo;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 门户预定管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourBookInfoMapper extends BaseDaoMapper<TourBookInfo> {

    /**
     * 批量插入对象列表。
     *
     * @param tourBookInfoList 新增对象列表。
     */
    void insertList(List<TourBookInfo> tourBookInfoList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourBookInfoFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourBookInfo> getTourBookInfoList(
            @Param("tourBookInfoFilter") TourBookInfo tourBookInfoFilter, @Param("orderBy") String orderBy);
}
