package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTourismProjectTravelNotes;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 旅游项目游记管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourTourismProjectTravelNotesMapper extends BaseDaoMapper<TourTourismProjectTravelNotes> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTourismProjectTravelNotesList 新增对象列表。
     */
    void insertList(List<TourTourismProjectTravelNotes> tourTourismProjectTravelNotesList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTourismProjectTravelNotesFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTourismProjectTravelNotes> getTourTourismProjectTravelNotesList(
            @Param("tourTourismProjectTravelNotesFilter") TourTourismProjectTravelNotes tourTourismProjectTravelNotesFilter, @Param("orderBy") String orderBy);
}
