package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTourismTravelNotesContent;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 旅游项目游记富文本数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourTourismTravelNotesContentMapper extends BaseDaoMapper<TourTourismTravelNotesContent> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTourismTravelNotesContentList 新增对象列表。
     */
    void insertList(List<TourTourismTravelNotesContent> tourTourismTravelNotesContentList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTourismTravelNotesContentFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTourismTravelNotesContent> getTourTourismTravelNotesContentList(
            @Param("tourTourismTravelNotesContentFilter") TourTourismTravelNotesContent tourTourismTravelNotesContentFilter, @Param("orderBy") String orderBy);
}
