package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourUserLikeTravelNotes;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 用户游记点赞表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourUserLikeTravelNotesMapper extends BaseDaoMapper<TourUserLikeTravelNotes> {

    /**
     * 批量插入对象列表。
     *
     * @param tourUserLikeTravelNotesList 新增对象列表。
     */
    void insertList(List<TourUserLikeTravelNotes> tourUserLikeTravelNotesList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourUserLikeTravelNotesFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourUserLikeTravelNotes> getTourUserLikeTravelNotesList(
            @Param("tourUserLikeTravelNotesFilter") TourUserLikeTravelNotes tourUserLikeTravelNotesFilter, @Param("orderBy") String orderBy);
}
