package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourismContent;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 旅游富文本数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourismContentMapper extends BaseDaoMapper<TourismContent> {

    /**
     * 批量插入对象列表。
     *
     * @param tourismContentList 新增对象列表。
     */
    void insertList(List<TourismContent> tourismContentList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourismContentFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourismContent> getTourismContentList(
            @Param("tourismContentFilter") TourismContent tourismContentFilter, @Param("orderBy") String orderBy);
}
