package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourismFile;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 旅游图集数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourismFileMapper extends BaseDaoMapper<TourismFile> {

    /**
     * 批量插入对象列表。
     *
     * @param tourismFileList 新增对象列表。
     */
    void insertList(List<TourismFile> tourismFileList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourismFileFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourismFile> getTourismFileList(
            @Param("tourismFileFilter") TourismFile tourismFileFilter, @Param("orderBy") String orderBy);
}
