package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourismProject;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 旅游项目管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourismProjectMapper extends BaseDaoMapper<TourismProject> {

    /**
     * 批量插入对象列表。
     *
     * @param tourismProjectList 新增对象列表。
     */
    void insertList(List<TourismProject> tourismProjectList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourismProjectFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourismProject> getTourismProjectList(
            @Param("tourismProjectFilter") TourismProject tourismProjectFilter, @Param("orderBy") String orderBy);
}
