package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 外卖地址管理Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "DeliveryAddressDto对象")
@Data
public class DeliveryAddressDto {

    /**
     * 主键。
     */
    @Schema(description = "主键。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 门牌号。
     */
    @Schema(description = "门牌号。")
    private String houseNumber;

    /**
     * 标签。
     */
    @Schema(description = "标签。")
    private String label;

    /**
     * 联系人。
     */
    @Schema(description = "联系人。")
    private String contacts;

    /**
     * 手机号。
     */
    @Schema(description = "手机号。")
    private String phone;

    /**
     * 经度。
     */
    @Schema(description = "经度。")
    private String lon;

    /**
     * 纬度。
     */
    @Schema(description = "纬度。")
    private String lat;

    /**
     * 地址。
     */
    @Schema(description = "地址。")
    private String address;
}
