package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 外卖购物车Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "RestaurantCartDto对象")
@Data
public class RestaurantCartDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
//    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 用户id。
     */
    @Schema(description = "用户id。", requiredMode = Schema.RequiredMode.REQUIRED)
//    @NotNull(message = "数据验证失败，用户id不能为空！")
    private Long userId;

    /**
     * 餐馆id。
     */
    @Schema(description = "餐馆id。")
    @NotNull(message = "数据验证失败，用户id不能为空！")
    private Long restaurantId;

    /**
     * 美食id。
     */
    @Schema(description = "美食id。")
    private Long restaurantFoodId;

    /**
     * 数量。
     */
    @Schema(description = "数量。")
    private Integer count;

}
