package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

import java.util.Date;

/**
 * 旅游项目游记文件Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourTourismTravelNotesFileDto对象")
@Data
public class TourTourismTravelNotesFileDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 文件名称。
     */
    @Schema(description = "文件名称。")
    private String fileName;

    /**
     * 文件大小。
     */
    @Schema(description = "文件大小。")
    private String fileSize;

    /**
     * 文件类型。
     */
    @Schema(description = "文件类型。")
    private Integer fileType;

    /**
     * 文件存储地址。
     */
    @Schema(description = "文件存储地址。")
    private String fileUrl;

    /**
     * 关联表id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "关联表id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，关联表id不能为空！", groups = {UpdateGroup.class})
    private Long associationTableId;

    /**
     * 上传时间。
     */
    @Schema(description = "上传时间。")
    private Date uploadTime;
}
