package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 旅游富文本Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourismContentDto对象")
@Data
public class TourismContentDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 富文本内容。
     */
    @Schema(description = "富文本内容。")
    private String content;

    /**
     * 关联表id。
     */
    @Schema(description = "关联表id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，关联表id不能为空！", groups = {UpdateGroup.class})
    private Long associationId;

    /**
     * 费用说明。
     */
    @Schema(description = "费用说明。")
    private String costDescription;

    /**
     * 预定须知。
     */
    @Schema(description = "预定须知。")
    private String bookingNotice;
}
