package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.constant.MaskFieldTypeEnum;
import com.tourism.common.core.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 外卖地址管理实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_delivery_address")
public class DeliveryAddress extends BaseModel {

    /**
     * 主键。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 门牌号。
     */
    @TableField(value = "house_number")
    private String houseNumber;

    /**
     * 标签。
     */
    @TableField(value = "label")
    private String label;

    /**
     * 联系人。
     */
    @TableField(value = "contacts")
    private String contacts;

    /**
     * 手机号。
     */
    @MaskField(maskType = MaskFieldTypeEnum.MOBILE_PHONE)
    @TableField(value = "phone")
    private String phone;

    /**
     * 经度。
     */
    @TableField(value = "lon")
    private String lon;

    /**
     * 纬度。
     */
    @TableField(value = "lat")
    private String lat;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;

    /**
     * 地址。
     */
    @TableField(value = "address")
    private String address;
}
