package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * 外卖订单明细管理实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_delivery_order_items")
public class DeliveryOrderItems extends BaseModel {

    /**
     * 主键。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 食品名称。
     */
    @TableField(value = "food_name")
    private String foodName;

    /**
     * 订单id。
     */
    @TableField(value = "order_id")
    private Long orderId;

    /**
     * 价格。
     */
    @TableField(value = "price")
    private BigDecimal price;

    /**
     * 数量。
     */
    @TableField(value = "number")
    private Integer number;

    /**
     * 删除标记(1: 正常 -1: 已删除)。
     */
    @TableField(value = "data_state")
    private Integer dataState;

    /**
     * 订单id集合。
     */
    @TableField(exist = false)
    private List<Long> orderIds;
}
