package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.upload.UploadStoreTypeEnum;
import com.tourism.common.core.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 旅游项目游记文件实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_tourism_travel_notes_file")
public class TourTourismTravelNotesFile extends BaseModel {

    /**
     * 主键id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 文件名称。
     */
    @TableField(value = "file_name")
    private String fileName;

    /**
     * 文件大小。
     */
    @TableField(value = "file_size")
    private String fileSize;

    /**
     * 文件类型。
     */
    @TableField(value = "file_type")
    private Integer fileType;

    /**
     * 文件存储地址。
     */
    @UploadFlagColumn(storeType = UploadStoreTypeEnum.HUAWEI_OBS_SYSTEM)
    @TableField(value = "file_url")
    private String fileUrl;

    /**
     * 关联表id。
     */
    @TableField(value = "association_table_id")
    private Long associationTableId;

    /**
     * 上传时间。
     */
    @TableField(value = "upload_time")
    private Date uploadTime;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;
}
