package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 旅游富文本实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_tourism_content")
public class TourismContent extends BaseModel {

    /**
     * 主键id。
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 富文本内容。
     */
    @TableField(value = "content")
    private String content;

    /**
     * 关联表id。
     */
    @TableField(value = "association_id")
    private Long associationId;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;

    /**
     * 费用说明。
     */
    @TableField(value = "cost_description")
    private String costDescription;

    /**
     * 预定须知。
     */
    @TableField(value = "booking_notice")
    private String bookingNotice;
}
