package com.tourism.webadmin.back.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.tourism.common.additional.model.FileUrlObject;
import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;

/**
 * banner管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "BannerInfoVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class BannerInfoVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private String id;

    /**
     * banner名称。
     */
    @Schema(description = "banner名称")
    private String bannerName;

    /**
     * 所属分类。
     */
    @Schema(description = "所属分类")
    private String belongTab;

    /**
     * 是否启用。
     */
    @Schema(description = "是否启用，0否，1是")
    private Integer enable;

    /**
     * 是否主banner。
     */
    @Schema(description = "是否主banner，0否，1是")
    private Integer mainBanner;

    /**
     * 图片URL。
     */
    @Schema(description = "图片URL")
    private String imgUrl;

    /**
     * 跳转链接。
     */
    @Schema(description = "跳转链接")
    private String bannerUrl;

    /**
     * banner排序。
     */
    @Schema(description = "banner排序")
    private Integer showOrder;

    /**
     * belongTab 字典关联数据。
     */
    @Schema(description = "belongTab 字典关联数据")
    private Map<String, Object> belongTabDictMap;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;

    /**
     * mainBanner 常量字典关联数据。
     */
    @Schema(description = "mainBanner 常量字典关联数据")
    private Map<String, Object> mainBannerDictMap;

    /**
     * imgUrlsAfterConvert 转换后的图片对象。
     */
    @Schema(description = "imgUrlsAfterConvert 转换后的图片对象")
    private List<String> imgUrlsAfterConvert;


}
