package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 外卖地址管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "DeliveryAddressVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class DeliveryAddressVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * 门牌号。
     */
    @Schema(description = "门牌号")
    private String houseNumber;

    /**
     * 标签。
     */
    @Schema(description = "标签")
    private String label;

    /**
     * 联系人。
     */
    @Schema(description = "联系人")
    private String contacts;

    /**
     * 手机号。
     */
    @Schema(description = "手机号")
    private String phone;

    /**
     * 经度。
     */
    @Schema(description = "经度")
    private String lon;

    /**
     * 纬度。
     */
    @Schema(description = "纬度")
    private String lat;

    /**
     * 地址。
     */
    @Schema(description = "地址")
    private String address;
}
