package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 外卖订单明细管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "DeliveryOrderItemsVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class DeliveryOrderItemsVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * 食品名称。
     */
    @Schema(description = "食品名称")
    private String foodName;

    /**
     * 订单id。
     */
    @Schema(description = "订单id")
    private Long orderId;

    /**
     * 价格。
     */
    @Schema(description = "价格")
    private BigDecimal price;

    /**
     * 数量。
     */
    @Schema(description = "数量")
    private Integer number;

    /**
     * 删除标记(1: 正常 -1: 已删除)。
     */
    @Schema(description = "删除标记(1: 正常 -1: 已删除)")
    private Integer dataState;
}
