package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 外卖订单管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "DeliveryOrderVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class DeliveryOrderVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * 配送时间。
     */
    @Schema(description = "配送时间")
    private Date deliveryTime;

    /**
     * 配送地址。
     */
    @Schema(description = "配送地址")
    private String deliveryAddress;

    /**
     * 收货电话。
     */
    @Schema(description = "收货电话")
    private String deliveryPhone;

    /**
     * 备注。
     */
    @Schema(description = "备注")
    private String deliveryRemark;

    /**
     * 餐具数量。
     */
    @Schema(description = "餐具数量")
    private Integer tableware;

    /**
     * 订单号。
     */
    @Schema(description = "订单号")
    private String orderNo;

    /**
     * 下单时间。
     */
    @Schema(description = "下单时间")
    private Date orderTime;

    /**
     * 支付方式。
     */
    @Schema(description = "支付方式")
    private Integer payType;

    /**
     * 订单金额。
     */
    @Schema(description = "订单金额")
    private BigDecimal orderAmount;

    /**
     * 实付金额。
     */
    @Schema(description = "实付金额")
    private BigDecimal payAmount;

    /**
     * 订单状态。
     */
    @Schema(description = "订单状态")
    private Integer orderStatus;

    /**
     * 用户id。
     */
    @Schema(description = "用户id")
    private Long customerId;

    /**
     * 退款状态。
     */
    @Schema(description = "退款状态")
    private Integer refundStatus;

    /**
     * 打包费。
     */
    @Schema(description = "打包费")
    private BigDecimal packCharge;

    /**
     * 配送费。
     */
    @Schema(description = "配送费")
    private BigDecimal deliveryFee;

    /**
     * 店铺名称。
     */
    @Schema(description = "店铺名称")
    private String shopName;

    /**
     * 订单明细。
     */
    private List<DeliveryOrderItemsVo> itemList;
}
