package com.tourism.webadmin.back.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 劳务富文本VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "JobContentVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class JobContentVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 富文本内容。
     */
    @Schema(description = "富文本内容")
    private String content;

    /**
     * 关联表id。
     */
    @Schema(description = "关联表id")
    private String associationId;
}
