package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 外卖购物车VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "RestaurantCartVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class RestaurantCartVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 用户id。
     */
    @Schema(description = "用户id")
    private Long userId;

    /**
     * 餐馆id。
     */
    @Schema(description = "餐馆id")
    private Long restaurantId;

    /**
     * 美食id。
     */
    @Schema(description = "美食id")
    private Long restaurantFoodId;

    /**
     * 数量。
     */
    @Schema(description = "数量")
    private Integer count;
}
