package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.Map;

/**
 * 餐馆美食类型VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "RestaurantFoodTypeVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class RestaurantFoodTypeVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 种类名称。
     */
    @Schema(description = "种类名称")
    private String name;

    /**
     * 餐馆id。
     */
    @Schema(description = "餐馆id")
    private String restaurantId;

    /**
     * 是否启用，0禁用，1启用。
     */
    @Schema(description = "是否启用，0禁用，1启用")
    private Integer enable;

    /**
     * 显示顺序。
     */
    @Schema(description = "显示顺序")
    private Integer showOrder;

    /**
     * 描述。
     */
    @Schema(description = "描述")
    private String description;

    /**
     * restaurantId 字典关联数据。
     */
    @Schema(description = "restaurantId 字典关联数据")
    private Map<String, Object> restaurantIdDictMap;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;
}
