package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 旅游项目游记富文本VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourTourismTravelNotesContentVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourTourismTravelNotesContentVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 富文本内容。
     */
    @Schema(description = "富文本内容")
    private String content;

    /**
     * 关联表id。
     */
    @Schema(description = "关联表id")
    private String associationId;

    /**
     * 费用说明。
     */
    @Schema(description = "费用说明")
    private String costDescription;

    /**
     * 预定须知。
     */
    @Schema(description = "预定须知")
    private String bookingNotice;
}
