package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 旅游项目游记文件VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourTourismTravelNotesFileVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourTourismTravelNotesFileVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 文件名称。
     */
    @Schema(description = "文件名称")
    private String fileName;

    /**
     * 文件大小。
     */
    @Schema(description = "文件大小")
    private String fileSize;

    /**
     * 文件类型。
     */
    @Schema(description = "文件类型")
    private Integer fileType;

    /**
     * 文件存储地址。
     */
    @Schema(description = "文件存储地址")
    private String fileUrl;

    /**
     * 关联表id。
     */
    @Schema(description = "关联表id")
    private Long associationTableId;

    /**
     * 上传时间。
     */
    @Schema(description = "上传时间")
    private Date uploadTime;
}
