package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.Map;

/**
 * 门户用户管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourUserVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourUserVo extends BaseVo {

    /**
     * 主键Id。
     */
    @Schema(description = "主键Id")
    private String userId;

    /**
     * 用户登录名称。
     */
    @Schema(description = "用户登录名称")
    private String loginName;

    /**
     * 密码。
     */
    @Schema(description = "密码")
    private String password;

    /**
     * 昵称。
     */
    @Schema(description = "昵称")
    private String showName;

    /**
     * 用户头像的Url。
     */
    @Schema(description = "用户头像的Url")
    private String headImageUrl;

    /**
     * 状态(0: 正常 1: 锁定)。
     */
    @Schema(description = "状态(0: 正常 1: 锁定)")
    private Integer userStatus;

    /**
     * 用户邮箱。
     */
    @Schema(description = "用户邮箱")
    private String email;

    /**
     * 用户手机。
     */
    @Schema(description = "用户手机")
    private String mobile;

    /**
     * 性别(1:男 2:女 3:其它)。
     */
    @Schema(description = "性别(1:男 2:女 3:其它)")
    private String sex;

    /**
     * 生日。
     */
    @Schema(description = "生日")
    private Date birthday;

    /**
     * userStatus 常量字典关联数据。
     */
    @Schema(description = "userStatus 常量字典关联数据")
    private Map<String, Object> userStatusDictMap;

    /**
     * sex 全局字典关联数据。
     */
    @Schema(description = "sex 全局字典关联数据")
    private Map<String, Object> sexDictMap;
}
