package com.tourism.common.huaweicloud.obs.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * common-huaweicloud-ob模块的配置类。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@ConfigurationProperties(prefix = "huaweicloud.obs")
public class HuaweicloudObsProperties {

    /**
     * 访问入口地址。
     */
    private String endpoint;
    /**
     * 访问安全的key。
     */
    private String accessKey;
    /**
     * 访问安全的密钥。
     */
    private String secretKey;
    /**
     * 缺省桶名称。
     */
    private String bucketName;
    /**
     * URL的过期时间，单位(秒)。
     */
    private Integer expireSeconds = 3600;
}
