package com.tourism.common.report.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * 报表数据库链接视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "报表数据库链接视图对象")
@Data
public class ReportDblinkVo {

    /**
     * 主键Id。
     */
    @Schema(description = "主键Id")
    private Long dblinkId;

    /**
     * 应用编码。为空时，表示非第三方应用接入。
     */
    @Schema(description = "应用编码。为空时，表示非第三方应用接入")
    private String appCode;

    /**
     * 数据库链接名称。
     */
    @Schema(description = "数据库链接名称")
    private String dblinkName;

    /**
     * 数据库链接描述。
     */
    @Schema(description = "数据库链接描述")
    private String dblinkDescription;

    /**
     * 数据库链接类型。
     */
    @Schema(description = "数据库链接类型")
    private Integer dblinkType;

    /**
     * 配置信息。
     */
    @Schema(description = "配置信息")
    private String configuration;

    /**
     * 创建者。
     */
    @Schema(description = "创建者")
    private Long createUserId;

    /**
     * 创建时间。
     */
    @Schema(description = "创建时间")
    private Date createTime;

    /**
     * 更新者。
     */
    @Schema(description = "更新者")
    private Long updateUserId;

    /**
     * 更新时间。
     */
    @Schema(description = "更新时间")
    private Date updateTime;

    /**
     * 数据库链接类型常量字典关联数据。
     */
    @Schema(description = "数据库链接类型常量字典关联数据")
    private Map<String, Object> dblinkTypeDictMap;
}
